finish basic pull tests

Thu, 15 Aug 2019 20:00:40 +0200

author
Olaf Wintermann <olaf.wintermann@gmail.com>
date
Thu, 15 Aug 2019 20:00:40 +0200
changeset 627
81e066c9ff87
parent 626
2f735b0e87fa
child 628
1f76d9624db8

finish basic pull tests

test/bin-test/test-dav-sync-pull1.sh file | annotate | diff | comparison | revisions
test/bin-test/test-dav-sync-push1.sh file | annotate | diff | comparison | revisions
test/bin-test/test-dav-sync.sh file | annotate | diff | comparison | revisions
--- a/test/bin-test/test-dav-sync-pull1.sh	Thu Aug 15 19:38:52 2019 +0200
+++ b/test/bin-test/test-dav-sync-pull1.sh	Thu Aug 15 20:00:40 2019 +0200
@@ -379,7 +379,7 @@
 rm -Rf tmp-sync/test1a/dir_a
 
 dav_sync_push test1a
-bash
+
 dav_sync_pull test1b
 check_tmpout "0 errors" "test10: wrong error counter"
 check_tmpout "0 conflicts" "test10: wrong conflicts counter"
@@ -389,4 +389,23 @@
 	echo "test10: dir_a not deleted"
 fi
 
+# ----------------------------------------------------------------------------
+# 11. test: delete all
+# expected result: empty dir (except .trash)
 
+rm -Rf tmp-sync/test1a/*
+
+dav_sync_push test1a
+
+dav_sync_pull test1b
+check_tmpout "0 errors" "test10: wrong error counter"
+check_tmpout "0 conflicts" "test10: wrong conflicts counter"
+
+OUT=`ls tmp-sync/test1b/ | wc -l`
+if [ $OUT != "0" ]; then
+	echo "test1b not empty"
+	exit 2
+fi
+
+
+
--- a/test/bin-test/test-dav-sync-push1.sh	Thu Aug 15 19:38:52 2019 +0200
+++ b/test/bin-test/test-dav-sync-push1.sh	Thu Aug 15 20:00:40 2019 +0200
@@ -277,9 +277,4 @@
 	exit 2
 fi
 
-# cleanup
-$DAV_BIN rm dav-test-repo/sync/test1 2> /dev/null
-if [ $? -ne 0 ]; then
-	echo "cleanup failed"
-	exit 2
-fi
+
--- a/test/bin-test/test-dav-sync.sh	Thu Aug 15 19:38:52 2019 +0200
+++ b/test/bin-test/test-dav-sync.sh	Thu Aug 15 20:00:40 2019 +0200
@@ -94,6 +94,12 @@
 do_test "dav-sync pull (1)" test-dav-sync-pull1.sh
 
 # cleanup
+$DAV_BIN rm dav-test-repo/sync/test1 > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+	echo "cleanup failed"
+	exit 2
+fi
+
 rm -Rf .dav
 rm -Rf tmp-sync
 

mercurial